package picontrol;

import com.pi4j.system.SystemInfo;
import java.io.IOException;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

/**
 * InputOutput: this class implement the specific methods to the hardware of the Raspberry Pi.
 *
 * On the client, I don't use any hardware..
 *
 * 
 */
public final class InputOutput {

    // Logger for logs and messages
    static final Logger logger = LogManager.getLogger(picontrol.InputOutput.class.getName());

    /**
     * getHWBoard: Get the type of Raspberry board
     *
     * @return String with the type of board
     */
    public static String getHWBoard() {
        StringBuilder sb = new StringBuilder();
        try {
            sb.append(SystemInfo.getBoardType().name());
        } catch (IOException | InterruptedException | UnsupportedOperationException ex) {
            logger.warn("Error " + ex.getMessage());
            sb.append("Unknown board or error reading board hardware!!");
        }
        return sb.toString();
    }

}
