package picontrol;

/**
 * Peripheral: this class implement a logic device (peripheral) connected to the Raspberry server
 *
 */
public class Peripheral {

    // Attributes
    private String name; // Name
    private String logicName; // Logic Pin Name
    private String mode; // Mode of the device
    private String value; // Value with the status of the device

    /**
     * Peripheral: constructor of the peripheral
     *
     * @param name name of the peripheral
     * @param mode mode of the peripheral
     */
    public Peripheral(String name, String mode) {
        this.name = name;
        this.mode = mode;
        this.value = "";
    }

    /**
     * getName: return the name of the peripheral
     *
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * setName: set the peripheral name
     *
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * getMode: return the mode of the peripheral
     *
     * @return the mode
     */
    public String getMode() {
        return mode;
    }

    /**
     * setMode: set the mode of the peripheral
     *
     * @param mode the mode to set
     */
    public void setMode(String mode) {
        this.mode = mode;
    }

    /**
     * getValue: return the value of the peripheral
     *
     * @return the value
     */
    public String getValue() {
        return value;
    }

    /**
     * setValue: set the value of the peripheral
     *
     * @param value the value to set
     */
    public void setValue(String value) {
        this.value = value;
    }

    /**
     * @return the logicName
     */
    public String getLogicName() {
        return logicName;
    }

    /**
     * setLogicName: set the logic name of the peripheral
     *
     * @param logicName the logicName to set
     */
    public void setLogicName(String logicName) {
        this.logicName = logicName;
    }

    /**
     * toString: return the string with the peripheral data
     *
     * @return string with the device
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getLogicName()).append(" >>> port IO -> ").append(getName()).append(" - ").append(getMode())
                .append(" - ").append(value).append(" - ").append("\n");
        return sb.toString();
    }

}
