package picontrol;

/**
 * Request: This class implements a server request.
 *
 * It contains a command and parameters to be executed by the server.
 *
 */
public class Request {

    // Attributes
    private String command; // Command 
    private String parameters; // And parameters to send in the request

    // Constructors
    /**
     * Request: Constructor without parameters
     */
    public Request() {
        this.command = "";
        this.parameters = "";
    }

    /**
     * Request: Constructor with command parameter
     *
     * @param command to set
     */
    public Request(String command) {
        this.command = command;
        this.parameters = "";
    }

    /**
     * Request: Constructor with command and parameters
     *
     * @param command    to send to the server
     * @param parameters to send to the server
     */
    public Request(String command, String parameters) {
        this.command = command;
        this.parameters = parameters;
    }

    /**
     * getCommand: return the command from the request
     *
     * @return the command
     */
    public String getCommand() {
        return command;
    }

    /**
     * setCommand: set the command to the request
     *
     * @param command the command to set
     */
    public void setCommand(String command) {
        this.command = command;
    }

    /**
     * getParameters: return the parameters from the request
     *
     * @return the parameters
     */
    public String getParameters() {
        return parameters;
    }

    /**
     * setParameters: set the parameters to the request
     *
     * @param parameters the parameters to set
     */
    public void setParameters(String parameters) {
        this.parameters = parameters;
    }

    /**
     * toString:
     *
     * @return the string with the request
     */
    @Override
    public String toString() {
        return super.toString();
    }

}
