package piserver;

/**
 * AutonomousRule: this class implements a rule for a specific server, when it's working in autonomous mode.
 *
 */
public class AutonomousRule {

    private String rule;
    private String deviceName;
    private String value;

    public AutonomousRule() {
        rule = "";
        deviceName = "";
        value = "";
    }

    /**
     * getDeviceName: returns the device name who apply this rule.
     *
     * @return the deviceName
     */
    public String getDeviceName() {
        return deviceName;
    }

    /**
     * setDeviceName: returns the device name who apply this rule.
     *
     * @param deviceName the deviceName to set
     */
    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    /**
     * getValue: returns the value who apply this rule to this device.
     *
     * @return the value
     */
    public String getValue() {
        return value;
    }

    /**
     * setValue: set the value who apply this rule to this device.
     *
     * @param value the value to set
     */
    public void setValue(String value) {
        this.value = value;
    }

    /**
     * getRule: get the rule.
     *
     * @return the rule
     */
    public String getRule() {
        return rule;
    }

    /**
     * setRule: set the rule.
     *
     * @param rule the rule to set
     */
    public void setRule(String rule) {
        this.rule = rule;
    }

}
