<?php
/**
 * Show the current status of the system.
 * --------------------------------------
 */

/*
 * Init session
 * 
 * I initiate the session. I only use for send messages between pages.
 */
session_start(); 

require './constantes.php'; // Read constants
// Connecting with dataBase
try {
    // Create (connect to) MySQL/MariaDB database
    $DSN = "mysql:dbname=$DATABASE_NAME;host=$DATABASE_HOST";
    $db = new PDO($DSN, $DATABASE_USER, $DATABASE_PASS);
    // Set errormode to exceptions
    $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Select the status name
    $SQL = "SELECT statusName FROM " . $TBL_STATUS . " WHERE id=1;";
    // Do the query
    $result = $db->query($SQL);
    // Select the statusfrom the database
    $linea = $result->fetch();
    $status = $linea['statusName'];
    $SQL = "SELECT * FROM " . $TBL_STATUS . "; ";
    // Do the query
    $result = $db->query($SQL);
} catch (PDOException $e) {
    // Print PDOException message if some
    echo $e->getMessage();
}
$colorLED2 = "Lime";

// Disable caching of the current document:
header('Cache-Control: no-cache, no-store, max-age=0, must-revalidate');
header('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
header('Pragma: no-cache');

// HTML Document
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns = "http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv = "Content-Type" content = "text/html; charset=UTF-8" />
        <meta http-equiv = "refresh" content = "10" />
        <title>Welcome page</title>
        <link rel="stylesheet" type="text/css" href="estilo.css" />
        <script src = "js/jquery-3.2.1.min.js"></script>
        <script src="js/jquery-ui-1.12.1/jquery-ui.min.js"></script>
        <script src="js/Knockout-2.2.1.js"></script>
        <script src="js/sevenSeg.js"></script>
        <script>
            // Script for ask for confirmation when perfoming an action
            function confirmar(mensaje, url) {
                if (confirm(mensaje)) {
                    window.location = url;
                } else {
                    return false;
                }
            }
        </script>
    </head>
    <body>
        <div id="page">
            <div id="header">
                <h1>
                    <img src="img/Logo.png" alt="Solar Pi Client" align="middle" /> 
                </h1>
            </div>
            <div id="body" style="height: 650px">
                <div id ="mensaje">
                    <?php echo $mensaje; ?>
                </div>
                <div style="width: 100%; align-content: center">
                    <h2><?php echo $status; ?></h2> 
                    <div id="status">
                        <table style="width: 90%" border="0">
                            <?php
                            // Show the status of each device
                            while ($linea = $result->fetch(PDO::FETCH_ASSOC)) {
                                // Get the values from result
                                $server = $linea['server'];
                                $id = $linea['id'];
                                $name = $linea['name'];
                                $mode = $linea['mode'];
                                $value = $linea['value'];
                                $manual = $linea['manual'];

                                if ($mode != "I2C") {
                                    echo "<tr>";
                                    echo '<td><img src="img\\' . $server . '.png"></img></td>';
                                    echo "<td>" . $name . "</td>";
                                    echo "<td>";
                                    switch ($mode) {
                                        case "IN" :
                                            echo '<img src="img/input.png" align="middle"></img>';
                                            break;
                                        case "OUT":
                                            echo '<img src="img/output.png" align="middle"></img>';
                                            break;
                                    }
                                    echo "</td>";
                                    echo "<td>";
                                    switch ($value) {
                                        case "OFF":
                                            echo '<img src="img/off_1.png" align="middle"></img>';
                                            break;
                                        case "ON":
                                            echo '<img src="img/on_1.png" align="middle"></img>';
                                            break;
                                        default:
                                    }
                                    echo "</td>";
                                    echo "<td>";
                                    // Select the adecuate icon
                                    if (strcmp($mode, "OUT") == 0) {
                                        $img1a = "img/ModoOn1.png";
                                        $img1b = "img/ModoOn2.png";
                                        $img2a = "img/ModoOff1.png";
                                        $img2b = "img/ModoOff2.png";
                                        $img3a = "img/ModoAuto1.png";
                                        $img3b = "img/ModoAuto2.png";
                                        switch ($manual) {
                                            case "ON":
                                                $img1a = "img/ModoOnSel1.png";
                                                $img1b = "img/ModoOnSel2.png";
                                                break;
                                            case "OFF";
                                                $img2a = "img/ModoOffSel1.png";
                                                $img2b = "img/ModoOffSel2.png";
                                                break;
                                            case "AUTO":
                                                $img3a = "img/ModoAutoSel1.png";
                                                $img3b = "img/ModoAutoSel2.png";
                                                break;
                                        }
                                        ?>
                                        <img src="<?php echo $img1a; ?>"
                                             onmouseover="this.src = '<?php echo $img1b; ?>';" 
                                             onmouseout="this.src = '<?php echo $img1a; ?>';"
                                             align="middle" 
                                             onclick="return confirmar('Seguro que deseas activar este dispositivo?',
                                                             'manual.php?server=<?php echo $server . "&device=" . $name . "&id=" . $id; ?>&order=ON')">
                                        </img>
                                        <img src="<?php echo $img2a; ?>" 
                                             onmouseover="this.src = '<?php echo $img2b; ?>';" 
                                             onmouseout="this.src = '<?php echo $img2a; ?>';"
                                             align="middle" 
                                             onclick="return confirmar('Seguro que deseas desactivar este dispositivo?',
                                                             'manual.php?server=<?php echo $server . "&device=" . $name . "&id=" . $id; ?>&order=OFF')" >
                                        </img>
                                        <img src="<?php echo $img3a; ?>" 
                                             onmouseover="this.src = '<?php echo $img3b; ?>';" 
                                             onmouseout="this.src = '<?php echo $img3a; ?>';"
                                             align="middle" 
                                             onclick="return confirmar('Seguro que deseas poner en modo automático este dispositivo?',
                                                             'manual.php?server=<?php echo $server . "&device=" . $name . "&id=" . $id; ?>&order=AUTO')" >
                                        </img>
                                        <?php
                                    } else {
                                        echo '&nbsp;';
                                    }
                                    echo "</td></tr>";
                                }
                            }
                            ?>
                        </table>
                    </div>
                    <br/><br/><br/>
                    <div style="text-align: center">
                        <img src="img/VolverButton1.png" 
                             onmouseover="this.src = 'img/VolverButton2.png';" 
                             onmouseout="this.src = 'img/VolverButton1.png';"
                             align="middle" onclick="location.href = 'index.php'">
                        </img>
                    </div>
                </div>
            </div>
        </div>
        <script type="text/javascript">
            // Script code for show the LCD display
            $("#lcdA").sevenSeg({
                digits: 3,
                value: <?php echo $tempSol; ?>,
                colorOn: "<?php echo $colorLED1; ?>",
                decimalPlaces: 1
            });
            $("#lcdB").sevenSeg({
                digits: 3,
                value: <?php echo $tempExt; ?>,
                colorOn: "<?php echo $colorLED2; ?>",
                decimalPlaces: 1
            });
            // Reload page every 10sg
            setTimeout(function () {
                location.reload();
            }, 10000);
        </script>
    </body>
</html>