<?php
/**
 * Show the graphic evolution of temperatures.
 * 
 * It uses the Google Charts Library:
 * 
 * https://developers.google.com/chart/
 */

/*
 * Init session
 * 
 * I initiate the session. I only use for send messages between pages.
 */
session_start();

// Load constanst
require './constantes.php';

function phpDateToJS($param) {
    $param = str_replace("-", " ", $param);
    $param = str_replace(":", " ", $param);
    $date = explode(" ", $param);
    //print_r( $date);
    // The month in JS begin with 0
    $month = ((int) $date[1]) -1;
    $jsDate = $date[0] . "," . $month .
            "," . $date[2] . "," . $date[3] .
            "," . $date[4] . "," . $date[5] ;
    return $jsDate;
}

// Obtener estado y mostrarlo
// Para cada dispositivo: mostrar valor actual, estado (AUTO o MAN) y 3 botones: ON/OFF/OAUT
try {
    // open connections                  
    // Create (connect to) MySQL/MariaDB database
    $DSN = "mysql:dbname=$DATABASE_NAME;host=$DATABASE_HOST";
    $db = new PDO($DSN, $DATABASE_USER, $DATABASE_PASS);
    // Set errormode to exceptions
    $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    // $db->setAttribute(PDO::ATTR_EMULATE_PREPARES, false);
    // Select the last temperature from the database
    $SQL = "SELECT * FROM " . $TBL_TEMPERATURE . "; ";
    // Do the query
    $result = $db->query($SQL);
    if ($result != null) {
        $num_rows = $result->rowCount();
    }
} catch (PDOException $e) {
// Print PDOException message
    echo $e->getMessage();
}
// Disable caching of the current document:
header('Cache-Control: no-cache, no-store, max-age=0, must-revalidate');
header('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
header('Pragma: no-cache');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns = "http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv = "Content-Type" content = "text/html; charset=UTF-8" />
        <title>Welcome page</title>
        <link rel="stylesheet" type="text/css" href="estilo.css" />
        <!--Load the AJAX API-->
        <script type = "text/javascript" src = "https://www.gstatic.com/charts/loader.js"></script>
        <script type="text/javascript">
            /*
             * Graphs created with Google Charts
             */
            google.charts.load('current', {packages: ['corechart', 'line']});
            google.charts.setOnLoadCallback(drawCurveTypes);

            function drawCurveTypes() {
                var data = new google.visualization.DataTable();
                data.addColumn('datetime', 'Fecha y hora');
                data.addColumn('number', 'Solar Water Temp');
                data.addColumn('number', 'Exterior Temp');
                data.addRows([
<?php
for ($i = 0; $i < ($num_rows - 1); $i++) {
    $row = $result->fetch(PDO::FETCH_ASSOC);
    // Get the temperature
    $mysqldate = $row[$TBL_TEMPERATURE_FIELDS[0]];
    $tempSol = doubleval($row[$TBL_TEMPERATURE_FIELDS[1]]);
    $tempExt = doubleval($row[$TBL_TEMPERATURE_FIELDS[2]]);
    echo "[new Date(" . phpDateToJS($mysqldate) . ")," . $tempSol . "," . $tempExt . "], ";
}
$mysqldate = $row[$TBL_TEMPERATURE_FIELDS[0]];
$tempSol = doubleval($row[$TBL_TEMPERATURE_FIELDS[1]]);
$tempExt = doubleval($row[$TBL_TEMPERATURE_FIELDS[2]]);
echo "[new Date(" . phpDateToJS($mysqldate) . ")," . $tempSol . "," . $tempExt . "]";

// Close db connection
$db = null;
?>
                ]);

                var options = {
                    title: 'Solar Water Temperature vs Exterior temperature',
                    height: 500,
                    pointsize: 3,
                    hAxis: {
                        title: 'Muestras <?php echo $num_rows; ?>'
                    },
                    vAxis: {
                        title: 'Temp ºC'
                    },
                    series: {
                        1: {curveType: 'function'}
                    },
                    legend: {position: 'botton'},

                };

                var chart = new google.visualization.LineChart(document.getElementById('chart_div'));
                chart.draw(data, options);
            }
        </script>
    </head>
    <body>
        <div id="page">
            <div id="header">
                <h1>
                    <img src="img/Logo.png" alt="Solar Pi Client" align="middle" /> 
                </h1>
            </div>
            <div id="body" style="height: 650px">
                <div id ="mensaje">
                    <?php echo $mensaje; ?>
                </div>
                <div style="width: 100%; align-content: center">
                    <div id="chart_div"></div>
                    <br/><br/><br/>
                    <div style="text-align: center">
                        <img src="img/VolverButton1.png" 
                             onmouseover="this.src = 'img/VolverButton2.png';" 
                             onmouseout="this.src = 'img/VolverButton1.png';"
                             align="middle" onclick="location.href = 'index.php'">
                        </img>
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>