<?php
/**
 * Principal page
 */
/*
 * Init session
 * 
 * I initiate the session. I only use for send messages between pages.
 */
session_start();
// Load the constants
require './constantes.php';

// Exists some message in the session?
if ($_SESSION["mensaje"] === "") {
    $mensaje = "";
} else {
    $mensaje = $_SESSION["mensaje"];
    unset($_SESSION["mensaje"]);
}

try {
    // Create connection to MySQL/MariaDB database
    $DSN = "mysql:dbname=$DATABASE_NAME;host=$DATABASE_HOST";
    $db = new PDO($DSN, $DATABASE_USER, $DATABASE_PASS);
    // Set errormode to exceptions
    $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    // Get the actual temperatures from the status
    $SQL = "SELECT value FROM " . $TBL_STATUS . " WHERE name='" . $SENSOR_SOLAR . "';";
    // Do the query
    $result = $db->query($SQL);
    $row = $result->fetch();
    // Get the temperature
    $tempSol = doubleval($row['value']);
    $SQL = "SELECT value FROM " . $TBL_STATUS . " WHERE name='" . $SENSOR_EXTERIOR . "';";
    // Do the query
    $result = $db->query($SQL);
    $row = $result->fetch();
    // Get the temperature
    $tempExt = doubleval($row['value']);
    // Set on screen LCD display color
    if ($tempSol > $SOLAR_TEMP_1) {
        $colorLED1 = "Red";
    } else {
        if ($tempSol > $SOLAR_TEMP_2) {
            $colorLED1 = "Yellow";
        } else {
            $colorLED1 = "Blue";
        }
    }
    $colorLED2 = "Lime";
    $tempSol = number_format($tempSol, 1);
    $tempExt = number_format($tempExt, 1);
    // Close db connection
    $db = null;
} catch (PDOException $e) {
    // Print PDOException message
    echo $e->getMessage();
}

// Disable caching of the current document:
header('Cache-Control: no-cache, no-store, max-age=0, must-revalidate');
header('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
header('Pragma: no-cache');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns = "http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv = "Content-Type" content = "text/html; charset=UTF-8" />
        <title>Welcome page</title>
        <link rel="stylesheet" type="text/css" href="estilo.css" />
        <script src = "js/jquery-3.2.1.min.js"></script>
        <script src="js/jquery-ui-1.12.1/jquery-ui.min.js"></script>
        <script src="js/Knockout-2.2.1.js"></script>
        <script src="js/sevenSeg.js"></script>
        <script>
            // Script for ask for confirmation when perfoming an action
            function confirmar(mensaje, url) {
                if (confirm(mensaje)) {
                    window.location = url;
                } else {
                    return false;
                }
            }
        </script>
    </head>
    <body>
        <div id="page">
            <div id="header">
                <h1>
                    <img src="img/Logo.png" alt="Solar Pi Client" align="middle" /> 
                </h1>
            </div>
            <div id="body" style="height: 650px">
                <div id ="mensaje">
                    <?php echo $mensaje; ?>
                </div>
                <div style="width: 100%; align-content: center">
                    <div id="LCD" style="width: 475px; height: 450px; float: left">
                        <h2>Temperatura Solar</h2>
                        <div id="lcd1"  >
                        </div>
                        <br/>
                        <h2>Temperatura Exterior</h2>
                        <br/>
                        <div id="lcd2">
                        </div>
                    </div>
                    <div style="float: right">
                        <br/><br/><br/>
                        <img src="img/CerrarButton1.png" align="middle" 
                             onmouseover="this.src = '/img/CerrarButton2.png'" 
                             onmouseout="this.src = '/img/CerrarButton1.png'"
                             onclick="return confirmar('Seguro que deseas cerrar las aplicaciones?', 'reiniciar.php?Order=EXIT');">
                        </img>
                        <br/><br/><br/>
                        <img src="img/ReiniciarButton1.png" align="middle" 
                             onmouseover="this.src = '/img/ReiniciarButton2.png'" 
                             onmouseout="this.src = '/img/ReiniciarButton1.png'"
                             onclick="return confirmar('Seguro que deseas reiniciar el sistema?', 'reiniciar.php?Order=REBOOT');">
                        </img>
                        <br/><br/><br/>
                        <img src="img/ApagarButton1.png" align="middle" 
                             onmouseover="this.src = 'img/ApagarButton2.png';" 
                             onmouseout="this.src = 'img/ApagarButton1.png';"
                             onclick="return confirmar('Seguro que deseas apagar el sistema?', 'reiniciar.php?Order=SHUTDOWN');">
                        </img>
                        <br/><br/><br/>
                        <img src="img/GraficoButton1.png" align="middle" 
                             onmouseover="this.src = 'img/GraficoButton2.png';" 
                             onmouseout="this.src = 'img/GraficoButton1.png';"
                             onclick="location.href = 'grafico.php'">

                        </img>
                        <br/><br/><br/>
                        <img src="img/EstadoButton1.png" align="middle" 
                             onmouseover="this.src = 'img/EstadoButton2.png';" 
                             onmouseout="this.src = 'img/EstadoButton1.png';"
                             onclick="location.href = 'estado.php'">
                        </img>
                    </div>
                </div>
            </div>
        </div>
        <script type="text/javascript">
            // Script code for show the LCD displays
            $("#lcd1").sevenSeg({
                digits: 3,
                value: <?php echo $tempSol; ?>,
                colorOn: "<?php echo $colorLED1; ?>",
                decimalPlaces: 1
            });
            $("#lcd2").sevenSeg({
                digits: 3,
                value: <?php echo $tempExt; ?>,
                colorOn: "<?php echo $colorLED2; ?>",
                decimalPlaces: 1
            });

            // Reload page every minute
            setTimeout(function () {
                location.reload();
            }, 60000);

        </script>

    </body>
</html>