<?php
/**
 * Update the database with the manual orders
 * ------------------------------------------
 */

/*
 * Init session
 * 
 * I initiate the session. I only use for send messages between pages.
 */
session_start();
// Load constants
require './constantes.php';

// Get values from the URL
$server = $_GET["server"];
$device = $_GET["device"];
$order = $_GET["order"];
$id = $_GET["id"];
$type = "DEVICE";

try {
    // open connections                  
    // Create (connect to) MySQL/MariaDB database
    $DSN = "mysql:dbname=$DATABASE_NAME;host=$DATABASE_HOST";
    $db = new PDO($DSN, $DATABASE_USER, $DATABASE_PASS);
    // Set errormode to exceptions
    $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Check if already exists this order active
    $SQL = 'SELECT Id FROM ' . $TBL_MANUAL_ORDERS . ' WHERE `server` = "' . $server .
            '" AND `device` = "' . $device .
            '" AND `type` = "' . $type .
            '" AND `process` = "0" ;';
    // Do the query
    $result = $db->query($SQL);
    $row = $result->rowCount();
    // Check if exist active order!!
    if ($row == 0) {
        $SQL = "INSERT INTO " . $TBL_MANUAL_ORDERS . " (`server`, `order`, `device`, `type`) VALUES (?, ?, ?, ?);";
        $stmt = $db->prepare($SQL);
        // Prepare the insert of orders
        $stmt->bindParam(1, $server, PDO::PARAM_STR);
        $stmt->bindParam(2, $order, PDO::PARAM_STR);
        $stmt->bindParam(3, $device, PDO::PARAM_STR);
        $stmt->bindParam(4, $type, PDO::PARAM_STR);
        $execute = $stmt->execute();
        // Insert active order
    } else {
        // Already exist this order. Update the order
        $SQL = 'UPDATE ' . $TBL_MANUAL_ORDERS . ' SET `order` = ? WHERE `server` = ? AND `device` = ? AND `process` = 0 ;';
        $stmt = $db->prepare($SQL);
        // Prepare the insert of orders
        $stmt->bindParam(1, $order, PDO::PARAM_STR);
        $stmt->bindParam(2, $server, PDO::PARAM_STR);
        $stmt->bindParam(3, $device, PDO::PARAM_STR);
        $execute = $stmt->execute();
    }
    // Update the status
    $SQL = 'UPDATE ' . $TBL_STATUS . ' SET `manual` = ? WHERE `server` = ? AND `name` = ? ;';
    $stmt = $db->prepare($SQL);
    // Prepare the insert of orders
    $stmt->bindParam(1, $order, PDO::PARAM_STR);
    $stmt->bindParam(2, $server, PDO::PARAM_STR);
    $stmt->bindParam(3, $device, PDO::PARAM_STR);
    $execute = $stmt->execute();
    echo "Status updated<br/>";
    // Close database
    $db = null;
} catch (PDOException $e) {
    //  Print PDOException message
    echo $e->getMessage();
}
// Put the message in the session
$_SESSION["mensaje"] = $mensaje;
header("Location:/estado.php");
?>