<?php
/**
 * Prepare the orders for reboot, shutdown or exit all servers
 * -----------------------------------------------------------
 */
session_start();

// Load constants
require './constantes.php';

// Get the order
switch ($_GET["Order"]) {
    case "REBOOT":
        $ORDER = "REBOOT";
        $mensaje = "El sistema se reiniciará en un minuto!";
        break;
    case "SHUTDOWN":
        $ORDER = "SHUTDOWN";
        $mensaje = "El sistema se apagará en un minuto!";
        break;
    default:
        $ORDER = "EXIT";
        $mensaje = "El sistema se cerrará en un minuto!";
}

$DEVICE = "RASPBERRY";
try {
    // open connections                  
    // Create (connect to) MySQL/MariaDB database
    $DSN = "mysql:dbname=$DATABASE_NAME;host=$DATABASE_HOST";
    $db = new PDO($DSN, $DATABASE_USER, $DATABASE_PASS);
    // Set errormode to exceptions
    $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    $SQL = "INSERT INTO " . $TBL_MANUAL_ORDERS . " (`server`, `order`, `type`) VALUES (?, ?, ?);";

    $stmt = $db->prepare($SQL);
    // Prepare the insert of orders
    for ($i = 0; $i < count($EQUIPOS); $i++) {
        $stmt->bindParam(1, $EQUIPOS[$i], PDO::PARAM_STR);
        $stmt->bindParam(2, $ORDER, PDO::PARAM_STR);
        $stmt->bindParam(3, $DEVICE, PDO::PARAM_STR);
        $execute = $stmt->execute();
    }
    // Close file db connection
    $db = null;
} catch (PDOException $e) {
    // Print PDOException message
    echo $e->getMessage();
}
// Put the message in the session
$_SESSION["mensaje"] = $mensaje;

header("Location:/index.php");
?>